Pointwise   The Connector newsletter Pointwise Facebook Pointwise GitHub Pointwise LinkedIn Another Fine Mesh blog Pointwise Twitter Pointwise YouTube Y+ Calculator
 
   
   
 

Support

Download

Training

Library

Pointwise Release Notes

Version: V18.0 Release 4
Release Date: September 2017
News Release: www.pointwise.com/news/2017/Latest-Pointwise-Meshing-Software-Facilitates-Scripting-Customization.shtml
Overview
New Features
Resolved Issues
Platform Support
Previous Versions

Overview

Pointwise is our leading mesh generation software product for CFD, encompassing nearly three decades of technology development. The product features a modern software framework and workflow and provides tools like 64-bit support, multi-threading, and Windows/Linux/Mac portability.

These release notes are provided as a reference for the new features included in the latest version of Pointwise as well as any known issues that were resolved.

New Features

  • Environment variables can now be set to define the starting location for Glyph, File Open, Export CAE, and Export Grid.
  • Toolbar buttons have been added for all show commands (domains, connectors, etc.).
  • Columns have been added to the T-Rex Boundary Conditions table as well as the CAE Set Boundary Conditions table to show the total number of tris and quads assigned to each condition.
  • The CAE Set Volume Conditions table now shows the total number of different types of cells (hexes, tets, prisms and pyramids) assigned to each condition.
  • CGNS can now export to ADF and HDF5 file formats. The format to be exported is set in the CAE Set Solver Attributes panel.
  • The CFD++ plugin now accepts volume conditions to assign cell sets.
  • Scripts can now be assigned to buttons on the toolbar. The icon for the script can be selected from an assortment of options.
  • Plot3D export to SUGGAR++ has been updated to use user-created BC names.

Resolved Issues

PW-19174 Initialization of an unstructured block failed with an error message related to tetrahedral import.
PW-20270 Export of a 1 billion cell mesh to Exodus II CAE solver failed with an error about the z coordinate array.
PW-20352 The structured solver adjusted the position of a shared floating node after the Apply button was pushed.
PW-20370 Modifying the dimensions of any of the connectors on a domain caused highly skewed cells to form within the domain.
PW-20418 A Nastran file was not importing correctly.
PW-20430 A complicated CFX grid was taking a long time to export.
PW-20434 Database entities from a Parasolid file could be scaled in Pointwise V17.2R5 but not in Pointwise V18.
PW-20450 Setting a value in the donor_quality field and deleting it was causing overset cases to not be able to run.
PW-20458 Journaling was not recording the change to an overset case name.
PW-20470 A multi-segment database curve did not transform properly during a rotate operation.
PW-20471 Pointwise unexpectedly exited during the initialization of an unstructured block.
PW-20476 An unstructured domain could be initialized in Pointwise V18.0R2 but not in Pointwise V18.0R3.
PW-20491 USM3D filed could be written that were larger than the FORTRAN file based format allowed.
PW-20499 The Zoom to Selection command did not work for selected database boundaries.
PW-20509 T-Rex layers in a domain created on a database surface appeared “scalloped.”
PW-20510 Exporting an unstructured grid which contained a T-Rex block and a prism block failed and resulted in errors related to incompatible BC types and non-manifold connectivity.
PW-20515 The default number of database surfaces used for a projection was different in the Grid, Solve panel after initialization of a domain.
PW-20519 Adjusting a parameter to solve a block unnecessarily updated domains.
PW-20523 A domain was not being properly projected to its boundary.
PW-20533 Export to the WIND CAE failed if the number of blocks exceeded 64.
PW-20535 A grid with a cell type unsupported by Ketrel was exported to Kestrel.
PW-20545 Initializing an unstructured domain resulted in a very coarse discretization of the domain. Refining the domain corrected it.
PW-20549 Periodic domains, used in separate blocks, were not being properly updated when using the T-Rex block solver.
PW-20561 Flipping a block’s face orientation in the Edit, Orient command was not journaled correctly.
PW-20573 The Examine, Volume Ratio metric reported an incorrect maximum value after a block was copied and pasted.
PW-20582 Create, Domains on Database Entities was unable to create unstructured domains on two quilts in a geometry file.
PW-20621 Exporting multi-domain extruded block files to a face based solver was taking longer than in previous versions of Pointwise.
PW-20680 Pointwise exited unexpectedly when a database was copied.
PW-20681 The structured block solver continued to run for several iterations after the Stop button was pressed.
PW-20698 Large files could not be exported to Kestrel due to improper handling.
PW-20702 Corrected an inconsistency when using Glyph and the ShapeConstraint parameter.

Platform Support

Minimum Requirements for All Platforms:

  • 2 GB RAM (8 GB recommended)
  • 2 GB disk space
  • Ethernet card
  • OpenGL capable color display monitor
  • 1280x1024 screen resolution (4K monitor support now included)
  • Graphics adapter supporting 3D hardware-accelerated OpenGL and 24-bit RGB double-buffering
  • Up-to-date graphics accelerator drivers

Note: Pointwise V18.0R1 and later will not be supported on 32-bit platforms.

Microsoft Windows

Operating System 64-bit  
Windows 7 Yes
Windows 8.1 Yes
Windows 10 Yes

Mac OS X

Operating System Version 64-bit
Mountain Lion 10.8 Yes
Mavericks 10.9 Yes
Yosemite 10.10 Yes
El Capitan 10.11 Yes

* Pointwise V18.0R1 and later will not run on Mac OS X 10.7 or earlier.

Linux

Operating System Version 64-bit
CentOS 6 Yes
Red Hat Enterprise Linux 6 Yes
SUSE Enterprise Linux Desktop 12 SP1 Yes
Ubuntu Desktop 14.04 Yes

Linux Library Dependencies

Listed below are the specific versions of library packages that we have on our test machines where we know Pointwise works. Other dependences (e.g. libGL) aren't explicitly listed below as they should be part of any standard install that includes the packages listed below.

CentOS 6.4 Red Hat Enterprise Linux 6 SUSE Enterprise Linux Desktop 12 SP1 Ubuntu 14.04
expat-2.0.1-11.el6_2
fontconfig-2.8.0-3.el6
freetype-2.3.11-14.el6_3.1
libgcc-4.4.7-4.el6
libstdc++-4.4.7-3.el6
libX11-1.5.0-4.el6
libXau-1.0.6-4.el6
libxcb-1.8.1-1.el6
libXext-1.3.1-2.el6
libXft-2.3.1-2.el6
libXrender-0.9.7-2.el6
zlib-1.2.3-29.el6
expat-2.0.1-11.el6_2
fontconfig-2.8.0-5.el6
freetype-2.3.11-15.el6_6.1
libgcc-4.4.7-16.el6
libstdc++-4.4.7-16.el6
libX11-1.6.0-6.el6
libXau-1.0.6-4.el6
libxcb-1.9.1-3.el6
libXext-1.3.2-2.1.el6
libXft-2.3.1-2.el6
libXrender-0.9.8-2.1.el6
zlib-1.2.3-29.el6
fontconfig               2.11.0-4.19
libbz2-1                  1.0.6-29.2
libexpat1                2.1.0-17.1
libffi4                      5.3.1+r233831-9.1
libfreetype6            2.5.5-7.5.1
libgcc_s1                5.3.1+r233831-9.1
libglib-2_0-0           2.38.2-5.12
libGLU1                   9.0.0-15.1
libgobject-2_0-0     2.38.2-5.12
libgthread-2_0-0    2.38.2-5.12
libpcre1                   8.33-3.314
libpng16-16             1.6.8-11.1
libstdc++6              5.3.1+r233831-9.1
libX11-6                  1.6.2-4.12
libXau6                    1.0.8-4.58
libxcb1                    1.10-3.1
libXext6                  1.3.2-3.61
libXft2                     2.3.1-9.32
libXrender1             0.9.8-3.56
libz1                        1.2.8-5.1
libexpat1                    2.1.0-4ubuntu1.1
libffi6                          3.1~rc1+r3.0.13-12
libfontconfig1             2.11.0-0ubuntu4.1
libfreetype6                2.5.2-1ubuntu2.5
libgcc1                        1:4.9.1-0ubuntu1
libpcre3                      1:8.31-2ubuntu2
libpng12-0                  1.2.50-1ubuntu2.14.04.1
libstdc++6                 4.8.4-2ubuntu1~14.04.1
libx11-6                      2:1.6.2-1ubuntu2
libxau6                       1:1.0.8-1
libxcb1                        1.10-2ubuntu1
libxdmcp6                   1:1.1.1-1
libxext6                      2:1.3.2-1
libxft2                         2.3.1-2
libxrender1                 1:0.9.8-1
zlib1g                          1:1.2.8.dfsg-1ubuntu1

Previous Versions

Pointwise V18.0 R3
Pointwise V18.0 R2
Pointwise V18.0 R1